import request from '@/utils/request';

export function createDelivery(params: any) {
  return request({
    url: '/api/api/delivery/create',
    method: 'post',
    data: params,
  });
}

export function getReceiveList(params: any) {
  return request({
    url: '/api/api/delivery/getReceiveList',
    method: 'post',
    data: params,
  });
}

export function getStoreDetail(params: any) {
  return request({
    url: '/api/api/delivery/getStoreDetail',
    method: 'post',
    data: params,
  });
}

export function getReceiveDetail(params: any) {
  return request({
    url: '/api/api/delivery/getReceiveDetail',
    method: 'post',
    data: params,
  });
}

export function getDeliveryList(params: any) {
  return request({
    url: '/api/api/delivery/getDeliveryList',
    method: 'post',
    data: params,
  });
}

export function delDelivery(params: any) {
  return request({
    url: '/api/api/delivery/delDelivery',
    method: 'post',
    data: params,
  });
}

export function getMaterialDeliveryDetailList(params: any) {
  return request({
    url: '/api/api/delivery/getMaterialDeliveryDetailList',
    method: 'post',
    data: params,
  });
}

export function getDeliveryReceiveDetail(params: any) {
  return request({
    url: '/api/api/delivery/getDeliveryReceiveDetail',
    method: 'post',
    data: params,
  });
}
